c----------------------------------------------------------------------
c     Computes definite integral of 
c
c          exp(-x^2)
c
c----------------------------------------------------------------------

c----------------------------------------------------------------------
c     Implements differential equations.
c     Called by ODEPACK routine LSODA.
c----------------------------------------------------------------------
      subroutine fcn(neq,x,y,yprime)
         implicit    none

         integer     neq
         real*8      x,     y(neq),    yprime(neq)

         yprime(1) = exp(-x**2)

         return
      end 

c----------------------------------------------------------------------
c     Implements Jacobian  (optional) ...
c----------------------------------------------------------------------
      subroutine jac
         implicit    none

         return
      end
